petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscTellMyCell

Sends an SMS to an American/Canadian phone number

### Synopsis

    PetscErrorCode PetscTellMyCell(MPI_Comm comm,const char number[],const char message[],PetscBool *flg)

Not collective, only the first process in MPI_Comm does anything

### Input Parameters

| comm | - the MPI communicator
| number | - the 10 digit telephone number
| message | - the message

### Output Parameter

flg -PETSC_TRUE if the text was sent

### Options Database

| -tellmycell <number[,message]> | - . -tellmycell_user <Username> set when registering at tellmycell.com
| -tellmycell_password <Password> set when registering at tellmycell.com | -

### Notes

You must register for an account at tellmycell.com (you get 10 free texts with registration)

You must provide -tellmycell_user <Username> and -tellmycell_password <Password> in the options database

It would be nice to provide this as a free service but that would require making the PETSc TellMyCell password public.

### Developer Notes

Perhaps the Username and Password should be arguments to this function.

### See Also

PetscTextBelt(), PetscHTTPSRequest(), PetscHTTPSConnect(), PetscSSLInitializeContext()

### Level

intermediate

### Location

src/sys/webclient/tellmycell.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages